os: linux
dist: bionic
language: generic

env:
  jobs:
    - LISP=sbcl
    - LISP=ccl
    - LISP=ecl
    - LISP=abcl
    - LISP=allegro
    - LISP=ccl32
    - LISP=sbcl32
    - LISP=cmucl

jobs:
  allow_failures:
    - env: LISP=allegro
    - env: LISP=ccl32
    - env: LISP=cmucl
    - env: LISP=sbcl32

notifications:
  email:
    on_success: change
    on_failure: always
  irc:
    channels:
      - "chat.freenode.net#iolib"
    on_success: change
    on_failure: always
    use_notice: true
    skip_join: true

install:
  - curl -L https://raw.githubusercontent.com/sionescu/cl-travis/master/install.sh | sh

script:
  - cl -e "(prin1 (lisp-implementation-type)) (terpri) (prin1 (lisp-implementation-version)) (terpri)
           (ql:quickload :fiveam/test :verbose t)
           (uiop:quit (if (5am:run! :it.bese.fiveam) 0 -1))"
